Create Mailgun Domain
curl --request POST \
--url https://api.decodahealth.com/admin/mailgun-domain \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--header 'TENANT: <tenant>' \
--data '
{
"domainName": "<string>"
}
'import requests
url = "https://api.decodahealth.com/admin/mailgun-domain"
payload = { "domainName": "<string>" }
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({domainName: '<string>'})
};
fetch('https://api.decodahealth.com/admin/mailgun-domain', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"tenantSubDomain": "<string>",
"domainName": "<string>",
"isSendingVerified": true,
"isReceivingVerified": true,
"createdDate": "2023-11-07T05:31:56Z",
"smtpLogin": "<string>",
"dnsRecords": {
"sendingDnsRecords": [
{
"recordType": "<string>",
"name": "<string>",
"value": "<string>",
"priority": "<string>"
}
],
"receivingDnsRecords": [
{
"recordType": "<string>",
"name": "<string>",
"value": "<string>",
"priority": "<string>"
}
],
"dmarcDnsRecords": [
{
"recordType": "<string>",
"name": "<string>",
"value": "<string>",
"priority": "<string>"
}
]
},
"updatedDate": "2023-11-07T05:31:56Z",
"verifiedDate": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Admin
Create Mailgun Domain
Create a new Mailgun domain for the tenant. Registers the domain with Mailgun and returns the required DNS records.
POST
/
admin
/
mailgun-domain
Create Mailgun Domain
Headers
The tenant you are making this request on behalf of
Your api key
Body
application/json
Request body for creating a new Mailgun domain.
The domain name to register (e.g., mail.example.com)
Response
Successful Response
Full details of a Mailgun domain.
Available options:
UNVERIFIED, ACTIVE, DISABLED DNS records grouped by purpose.
Show child attributes
Show child attributes
⌘I
